## ros-noetic-genpy 0.6.15

=== debian/changelog ===
ros-noetic-genpy (0.6.15-1buster) buster; urgency=high

  * Update maintainers (#135 <https://github.com/ros/genpy/issues/135>)
  * Check for Python 3 before looking up codec (#134 <https://github.com/ros/genpy/issues/134>)
  * Add check for float32 and float64 to check_type (#131 <https://github.com/ros/genpy/issues/131>)
  * Contributors: Dirk Thomas, Martin Günther, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 12 Apr 2021 07:00:00 -0000

ros-noetic-genpy (0.6.14-1buster) buster; urgency=high

  * create Struct objects to save memory (#129 <https://github.com/ros/genpy/issues/129>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Aug 2020 07:00:00 -0000

ros-noetic-genpy (0.6.13-1buster) buster; urgency=high

  * don't raise exceptions on unicode decode error (#127 <https://github.com/ros/genpy/issues/127>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 Jul 2020 07:00:00 -0000

ros-noetic-genpy (0.6.12-1buster) buster; urgency=high

  * fix check_type for uint8[] to accept bytes (#123 <https://github.com/ros/genpy/issues/123>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 May 2020 07:00:00 -0000

ros-noetic-genpy (0.6.11-1buster) buster; urgency=high

  * support non-int integral time parameters (#121 <https://github.com/ros/genpy/issues/121>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 May 2020 07:00:00 -0000

ros-noetic-genpy (0.6.10-1buster) buster; urgency=high

  * various code cleanup (#117 <https://github.com/ros/genpy/issues/117>)
  * update logic for newer PyYAML output for dump() (#116 <https://github.com/ros/genpy/issues/116>)
  * small optimization in dynamic.py (#109 <https://github.com/ros/genpy/issues/109>)
  * use setuptools instead of distutils (#115 <https://github.com/ros/genpy/issues/115>)
  * bump CMake version to avoid CMP0048 warning (#114 <https://github.com/ros/genpy/issues/114>)
  * serialization: always set _x var for correct exception msg (#113 <https://github.com/ros/genpy/issues/113>)
  * sort generated imports to make them reproducible (#111 <https://github.com/ros/genpy/issues/111>)
  * make the generated "struct" constructs reproducible (#110 <https://github.com/ros/genpy/issues/110>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jan 2020 08:00:00 -0000

ros-noetic-genpy (0.6.9-1buster) buster; urgency=high

  * fix Python 3 buffer handling (#106 <https://github.com/ros/genpy/issues/106>)
  * Python 3 compatibility (#104 <https://github.com/ros/genpy/issues/104>)
  * fix usage of undefined variables in exception (#105 <https://github.com/ros/genpy/issues/105>)
  * convert map iterator to list (#103 <https://github.com/ros/genpy/issues/103>)
  * fix negative limit check for signed ints (#102 <https://github.com/ros/genpy/issues/102>)
  * failing test case for UTF-8 encoded characters in comments (#95 <https://github.com/ros/genpy/issues/95>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 03 Oct 2019 07:00:00 -0000

ros-noetic-genpy (0.6.8-1buster) buster; urgency=high

  * check size of fixed sized arrays when serializing (#92 <https://github.com/ros/genpy/issues/92>)
  * allow returning derived types in overloaded operators (#100 <https://github.com/ros/genpy/issues/100>)
  * reload() was move into importlib in Python 3 (#98 <https://github.com/ros/genpy/issues/98>)
  * fix _convert_getattr for handling uint8[] message fields in Python 3 (#96 <https://github.com/ros/genpy/issues/96>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Mar 2019 08:00:00 -0000

ros-noetic-genpy (0.6.7-1buster) buster; urgency=high

  * use errno to detect existing dir (#89 <https://github.com/ros/genpy/issues/89>)
  * fix typo (#84 <https://github.com/ros/genpy/issues/84>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 26 Oct 2017 07:00:00 -0000

ros-noetic-genpy (0.6.6-1buster) buster; urgency=high

  * add escaping for strings which is valid in YAML (#79 <https://github.com/ros/genpy/issues/79>)
  * fix inefficient canon method in rostime (#77 <https://github.com/ros/genpy/issues/77>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-noetic-genpy (0.6.5-1buster) buster; urgency=high

  * expose spec for dynamically generated messages (#75 <https://github.com/ros/genpy/issues/75>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Mar 2017 08:00:00 -0000

ros-noetic-genpy (0.6.4-1buster) buster; urgency=high

  * fix default value for non-primitive fixed-size arrays, regression of 0.6.1 (#74 <https://github.com/ros/genpy/issues/74>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Feb 2017 08:00:00 -0000

ros-noetic-genpy (0.6.3-1buster) buster; urgency=high

  * fix Python 3 regressions (#71 <https://github.com/ros/genpy/issues/71>)
  * use Python safe subfields for nested types (#69 <https://github.com/ros/genpy/issues/69>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Oct 2016 07:00:00 -0000

ros-noetic-genpy (0.6.2-1buster) buster; urgency=high

  * fix regression regarding lazy init introduced in 0.6.1 (#67 <https://github.com/ros/genpy/issues/67>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 03 Sep 2016 07:00:00 -0000

ros-noetic-genpy (0.6.1-1buster) buster; urgency=high

  * lazy init struct (#65 <https://github.com/ros/genpy/issues/65>)
  * fix default value of lists to not expand to N items in the generated code (#64 <https://github.com/ros/genpy/issues/64>)
  * simpler and more canonical hash (#55 <https://github.com/ros/genpy/pull/55>)
  * various improvements to the time and duration classes (#63 <https://github.com/ros/genpy/issues/63>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Sep 2016 07:00:00 -0000

ros-noetic-genpy (0.6.0-1buster) buster; urgency=high

  * change semantic of integer division for duration (#59 <https://github.com/ros/genpy/issues/59>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Apr 2016 07:00:00 -0000

ros-noetic-genpy (0.5.9-1buster) buster; urgency=high


