=== debian/control ===
Source: ros-noetic-genpy
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-numpy, python3-setuptools, ros-noetic-catkin (>= 0.5.78), ros-noetic-genmsg
Homepage: http://wiki.ros.org/genpy
Standards-Version: 3.9.2

Package: ros-noetic-genpy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-yaml, ros-noetic-genmsg
Description: Python ROS message and service generators.
